View Issue Details

IDProjectCategoryView StatusLast Update
0015188LazarusIDEpublic2011-12-01 11:23
ReporterDesmond CAssigned ToJuha Manninen 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version 
Summary0015188: Open / Save dialogs crashes ide
DescriptionWhen I want to open or save new project, the IDE crashes. I can still open existing projects from the console by passing lpi as param. It's impossible to start a new project because I can not do the first save
Additional InformationOperating system: openSuSE 11.2 32 bit default install with KDE 4.

Console output after crash:
[WARNING] Out of OEM specific VK codes, changing to unassigned
[WARNING] Out of unassigned VK codes, assigning $FF
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="/root/.lazarus"
  SecondaryConfigPath="/etc/lazarus"
NOTE: miscellaneous options file not found - using defaults
TMainIDE.DoNewProject A
TMainIDE.DoNewEditorFile END unit1.pas
TApplication.HandleException Invalid floating point operation
  Stack trace:
  $B697D6E4
  $B698F2AA
  $B6998492
  $B73D88A1
  $B74631C2
  $B7464E41
  $B735A944

(lazarus:9190): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed
TApplication.HandleException: there was another exception during showing the first exception
  Stack trace:
  $B734C039
  $B734C7A4
  $B7357AAF
lazarus.pp - unhandled exception
[FORMS.PP] ExceptionOccurred
[FORMS.PP] ExceptionOccurred
[TMainIDE.Destroy] A
[FORMS.PP] ExceptionOccurred
TagsNo tags attached.
Fixed in Revision23804
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Relationships

related to 0015145 closedJuha Manninen If I try to save my project Lazarus was closed without any message 
related to 0015114 closedJuha Manninen IDE dies when trying to select FPC source directory 
related to 0023117 resolvedVincent Snijders Crash after execute OpenDialog 

Activities

Vincent Snijders

2009-11-26 08:27

manager   ~0032487

What theme do you use?

Desmond C

2009-11-26 15:16

reporter   ~0032499

Oxygen

Desmond C

2009-11-26 15:47

reporter   ~0032500

Oxygen style
Ozone decorations
With all the new options on the config screen, I am not sure anymore which one is the theme

Vincent Snijders

2009-11-26 16:24

manager   ~0032502

Can you create a backtrace with line info by recompiling the IDE, for example by installing a component?

Juha Manninen

2009-11-26 21:51

developer   ~0032510

Yes, this is most likely related to buggy qtcurve library (libqtcurve) which makes GTK look like QT.
Please remove the library from Suse with Yast and change GTK theme from KDE desktop settings.
Please look at my related issue 0015114.

Juha Manninen

2009-11-26 21:55

developer   ~0032511

You can also copy the latest svn version of Lazarus and compile it using QT widgets. Works fine. :-)

Desmond C

2009-11-26 22:15

reporter   ~0032512

Crashes in difference place after compiling with debug info. But I did update to revision 22812 before I compiled. Sorry. Here's the output:

[WARNING] Out of OEM specific VK codes, changing to unassigned
[WARNING] Out of unassigned VK codes, assigning $FF
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="/root/.lazarus"
  SecondaryConfigPath="/etc/lazarus"
NOTE: miscellaneous options file not found - using defaults
TMainIDE.DoNewProject A
TApplication.HandleException Range check error
  Stack trace:
  $084C8F74 THEFONTSINFOMANAGER__CREATEFONTSINFO, line 488 of syntextdrawer.pp
  $084C914A THEFONTSINFOMANAGER__GETFONTSINFO, line 521 of syntextdrawer.pp
  $084CA12B THEFONTSTOCK__SETBASEFONT, line 858 of syntextdrawer.pp
  $084C9CB4 THEFONTSTOCK__CREATE, line 750 of syntextdrawer.pp
  $084CA524 THETEXTDRAWER__CREATE, line 955 of syntextdrawer.pp
  $084701CD TCUSTOMSYNEDIT__CREATE, line 1569 of synedit.pp
  $086088F9 TSOURCEEDITOR__CREATEEDITOR, line 2614 of sourceeditor.pp
  $0860289D TSOURCEEDITOR__CREATE, line 1189 of sourceeditor.pp
  $08613C9F TSOURCENOTEBOOK__NEWSE, line 5014 of sourceeditor.pp
  $08619724 TSOURCENOTEBOOK__NEWFILE, line 6365 of sourceeditor.pp
  $080BC330 TMAINIDE__DONEWFILE, line 7490 of main.pp
  $084EE466 TLAZIDEINTERFACE__DONEWEDITORFILE, line 370 of lazideintf.pas
  $08564C18 TPROJECTAPPLICATIONDESCRIPTOR__CREATESTARTFILES, line 5479 of project.pp
  $080C206D TMAINIDE__DONEWPROJECT, line 8890 of main.pp
  $080A2B0F TMAINIDE__SETUPSTARTPROJECT, line 2026 of main.pp
  $0809EF87 TMAINIDE__STARTIDE, line 1279 of main.pp
  $0805D293 main, line 108 of lazarus.pp
[FORMS.PP] ExceptionOccurred
  Sender=ERangeError
  Exception=Range check error
  Stack trace:
  $082CF52D TPROMPTDIALOG__LAYOUTDIALOG, line 6255 of ./include/promptdialog.inc
  $082CF360 TPROMPTDIALOG__CREATEMESSAGEDIALOG, line 241 of ./include/promptdialog.inc
  $082D0123 SHOWPROMPTDIALOG, line 538 of ./include/promptdialog.inc
  $0810886A TWIDGETSET__PROMPTUSER, line 585 of ./include/intfbaselcl.inc
  $0814E8A1 PROMPTUSER, line 386 of ./include/lclintf.inc
  $082CE230 MESSAGEDLG, line 192 of ./include/messagedialogs.inc
  $082C90D2 SHOWMESSAGEBOX, line 646 of dialogs.pp
  $08085FED TAPPLICATION__MESSAGEBOX, line 206 of ./include/application.inc
  $08089855 TAPPLICATION__SHOWEXCEPTION, line 1433 of ./include/application.inc
  $0808880D TAPPLICATION__HANDLEEXCEPTION, line 1121 of ./include/application.inc
  $0805D2FF main, line 110 of lazarus.pp
TApplication.HandleException: there was another exception during showing the first exception
  Stack trace:
  $082CF52D TPROMPTDIALOG__LAYOUTDIALOG, line 6255 of ./include/promptdialog.inc
  $082CF360 TPROMPTDIALOG__CREATEMESSAGEDIALOG, line 241 of ./include/promptdialog.inc
  $082D0123 SHOWPROMPTDIALOG, line 538 of ./include/promptdialog.inc
  $0810886A TWIDGETSET__PROMPTUSER, line 585 of ./include/intfbaselcl.inc
  $0814E8A1 PROMPTUSER, line 386 of ./include/lclintf.inc
  $082CE230 MESSAGEDLG, line 192 of ./include/messagedialogs.inc
  $082C90D2 SHOWMESSAGEBOX, line 646 of dialogs.pp
  $08085FED TAPPLICATION__MESSAGEBOX, line 206 of ./include/application.inc
  $08089855 TAPPLICATION__SHOWEXCEPTION, line 1433 of ./include/application.inc
  $0808880D TAPPLICATION__HANDLEEXCEPTION, line 1121 of ./include/application.inc
  $0805D2FF main, line 110 of lazarus.pp
[TMainIDE.Destroy] A
[TMainIDE.Destroy] B -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
[TGtkWidgetSet.Destroy] WARNING: There are 2 unreleased DCs, a detailed dump follows:
[TGtkWidgetSet.Destroy] DCs: B66B9010 B66B92B0
[TGtkWidgetSet.Destroy] WARNING: There are 2 unreleased GDIObjects, a detailed dump follows:
[TGtkWidgetSet.Destroy] GDIOs: B6906790 B69066D0
[TGtkWidgetSet.Destroy] gdiBitmap: 2

Desmond C

2009-11-26 22:31

reporter   ~0032513

Yes, you are absolutely right. The problem goes away when uninstalling qtcurve-gtk2 package. Ver 0.68.0 shipped with suse 11,2 dist. Thanks plenty. I have my IDE back

Mattias Gaertner

2009-11-28 11:41

manager   ~0032544

I installed qtcurve under ubuntu and used the qtcurve theme/engine. No crash here.
What qt theme do you use?

Desmond C

2010-01-12 20:18

reporter   ~0033589

I have no idea. Not a X or Qt expert. Where do I check?

SEN

2010-02-01 13:53

reporter   ~0034133

Yes I have this trouble too.. In Ubuntu 9.10... Lazarus 0.9.29+fpc2.4.0
I create project, add OpenDialog and open/close/switch directories fastly... and it crash in gtkwidgetset.inc in line 1220: gtk_main_iteration_do(False);
its randomly...
I guess this was the same as http://bugs.freepascal.org/view.php?id=15840 , so it can be marked resolved/fixed?

Juha Manninen

2010-03-06 20:40

developer   ~0034983

Many similar random errors were fixed by 23804.

Issue History

Date Modified Username Field Change
2009-11-26 01:45 Desmond C New Issue
2009-11-26 01:45 Desmond C Widgetset => GTK 2
2009-11-26 08:27 Vincent Snijders LazTarget => 0.9.30
2009-11-26 08:27 Vincent Snijders Note Added: 0032487
2009-11-26 08:27 Vincent Snijders Status new => feedback
2009-11-26 08:27 Vincent Snijders Target Version => 0.9.30
2009-11-26 15:16 Desmond C Note Added: 0032499
2009-11-26 15:47 Desmond C Note Added: 0032500
2009-11-26 16:24 Vincent Snijders Note Added: 0032502
2009-11-26 21:25 Vincent Snijders Relationship added related to 0015114
2009-11-26 21:51 Juha Manninen Note Added: 0032510
2009-11-26 21:55 Juha Manninen Note Added: 0032511
2009-11-26 22:15 Desmond C Note Added: 0032512
2009-11-26 22:31 Desmond C Note Added: 0032513
2009-11-28 11:41 Mattias Gaertner Note Added: 0032544
2009-12-29 10:10 Zeljan Rikalo Relationship added related to 0015145
2010-01-12 20:18 Desmond C Note Added: 0033589
2010-02-01 13:53 SEN Note Added: 0034133
2010-03-06 16:54 Flávio Etrusco (notifications not working) Note Added: 0034975
2010-03-06 20:39 Juha Manninen Status feedback => assigned
2010-03-06 20:39 Juha Manninen Assigned To => Juha Manninen
2010-03-06 20:40 Juha Manninen Fixed in Revision => 23804
2010-03-06 20:40 Juha Manninen Status assigned => resolved
2010-03-06 20:40 Juha Manninen Resolution open => fixed
2010-03-06 20:40 Juha Manninen Note Added: 0034983
2011-12-01 11:23 Marc Weustink Status resolved => closed
2012-10-14 00:56 Juha Manninen Relationship added related to 0023117